SDL_isalnum(3)

NAME
SDL_isalnum - Query if a character is alphabetic (a letter) or a number.

HEADER FILE
Defined in SDL3/SDL_stdinc.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_isalnum(int x);

DESCRIPTION

WARNING : Regardless of system locale, this will only treat ASCII values for English 'a-z', 'A-Z', and '0-9' as true.

FUNCTION PARAMETERS

x   character value to check.

RETURN VALUE
Returns non-zero if x falls within the character class, zero otherwise.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.